#include "Point.hpp"

#define NUM_SAMPLES 4

class Wrist : public Point
{
public:
	Wrist();
	Wrist(Vector3DF _pos, int _dist, Point *_parent, CameraX *_cam);
	void Run( Vector3DF t );
	void Draw();
	float x_avg;
	void Reset();

private:
	float avg_vector[NUM_SAMPLES];
	int oldest_ptr;
	
	int zero_cnt;

	void filter_X(void);

	bool vel_up;
	bool vel_down;
	
};
